<div class="content-block dx-card responsive-paddings">
  <form action="your-action" (submit)="onFormSubmit($event)">
    <dx-form id="form" [formData]="request" [readOnly]="false" [showColonAfterLabel]="true" [showValidationSummary]="true">
      <dxi-item [label]="{text: 'Cliente'}" dataField="Id" editorType="dxSelectBox" [editorOptions]="{ dataSource: costumerStore, displayExpr:'Name', valueExpr:'Id' }" >
        <dxi-validation-rule type="required" message="Identificación es requerido">
        </dxi-validation-rule>
      </dxi-item>
      <dxi-item dataField="FechaInicio" editorType="dxDateBox">
        <dxi-validation-rule type="required" message="Fecha inicio es requerido">
        </dxi-validation-rule>
      </dxi-item>
      <dxi-item dataField="FechaFin" editorType="dxDateBox">
        <dxi-validation-rule type="required" message="Fecha fin es requerido">
        </dxi-validation-rule>
      </dxi-item>
      <dxi-item itemType="button" horizontalAlignment="left"[buttonOptions]="buttonOptions">
    </dxi-item>
    </dx-form>
  </form> 
  <dx-data-grid id="gridContainer" [dataSource]="dataSource" [columns]="['Fecha','Cliente','Cuenta','Tipo','SaldoInicial','Movimiento','SaldoDisponible']">
  </dx-data-grid> 
</div>
